欢迎访问 licqi IT技术
我们一直在努力

yii 和 zend studio 集成

yii是基于测试驱动的,而zend studio是一个好用的ide。集成就是必须的。

本文适合喜欢使用ide的开发者,vim用户或者文本编辑器使用者请忽略。

本文使用的是最新的zend studio (版本 10.0.0)官网下载

yii本身没啥可说的,主要还是phpunit相关的内容。

  • 创建完项目,写一个简单的testcase。

[php]
require_once 'test\CTestCase.php';

/**
* Task test case.
*/
class TaskTest extends CTestCase {

public function testNewArrayIsEmpty()
{
$fixture = array();
$this->assertEquals(0, sizeof($fixture));
}
}
[/php]
  • 在 tests 目录上直接 run as   phpunit test

可以运行,报错:No test executed, Either a fatal error occurred, the launch was stopped manually or the script execution was halted with a ‘die’/’exit’ statement.
查看输出:require_once(): Failed opening required ‘PHPUnit/Extensions/SeleniumTestCase.php’ (include_path=’.;C:\Program Files (x86)\Zend\Zend Studio 10.0.0\plugins\com.zend.php.phpunit_10.0.0.201210220951\resources\library\3.6.10\;………..
原因:phpunit默认并没有Selenium的扩展
解决办法:

  1. 使用自己的pear安装的phpunit

  2. 下载一个Selenium的扩展,即可.(下载地址)解压到phpunit目录(就是上面输出里面的地址)的Extensions

  • 再次运行,正常

赞(0) 打赏
未经允许不得转载:licqi IT技术 » yii 和 zend studio 集成
分享到: 更多 (0)

评论 抢沙发

评论前必须登录!

 

觉得文章有用就打赏一下文章作者

支付宝扫一扫打赏

微信扫一扫打赏